Bug 76378 - Network Configuration (neat) crashes on X11
Network Configuration (neat) crashes on X11
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 01:21 EDT by Juan Antonio Garcia
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:46:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Antonio Garcia 2002-10-21 01:21:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Pops up an exception when trying to open Network Configuration utility on X11
running Gnome.

Crash Report:
Traceback (innermost last):
  File "/usr/sbin/neat", line 1398, in ?
    window = mainDialog()
  File "/usr/sbin/neat", line 222, in __init__
    self.load()
  File "/usr/sbin/neat", line 243, in load
    self.loadProfiles()
  File "/usr/sbin/neat", line 256, in loadProfiles
    profilelist = getProfileList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 393, in getProfileList
    PFList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 44, in load
    hoconf = Conf.ConfEHosts()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 429,
in __init__
    Conf.__init__(self, '/etc/hosts')
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 180,
in __init__
    self.read()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 432,
in read
    self.initvars()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 445,
in initvars
    raise BadFile, 'Malformed /etc/hosts file'
Conf.BadFile: Malformed /etc/hosts file

Local variables in innermost frame:
self: <netconfpkg.Conf.ConfEHosts instance at 84d5ca0>
var: ['C1945124-A']

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Select "Start Here"
2.Select "System Settings"
3.Select "Network Configuration"
	

Additional info:
Comment 1 Kiril 2002-11-15 14:31:38 EST
Same problem with neat when trying to "Apply" changes to network configuration.
 Traceback follows:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 37,
in prefix
    self._netmask = re.match("NETMASK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'
Comment 2 Bill Nottingham 2006-08-05 01:03:39 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 12:46:40 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.